return {
	"nvim-telescope/telescope.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-telescope/telescope-project.nvim",
	},
	keys = {
		{"<C-Tab>", "<cmd>Telescope buffers<cr>", desc = "Buffers"},
		{"<leader>f", "<cmd>Telescope find_files<cr>", desc = "Find files"},
		{"<leader>p", "<cmd>Telescope project<cr>", desc = "Projects"},
		{"<leader>r", "<cmd>Telescope oldfiles<cr>", desc = "Recent files"},
	},
	config = function()
		require("telescope").setup({
			defaults = {
				mappings = {
					i = {
						["<esc>"] = require("telescope.actions").close,
					},
				},
				prompt_prefix = " ",
				selection_caret = " ",
			},
			extensions = {
				project = {
					base_dirs = {
						{ path = "~/projects", max_depth = 3 },
					},
					order_by = "desc",
					sync_with_nvim_tree = true,
					theme = "dropdown",
				},
			},
		})
	end,
}
